Skip to main content
GET
/
missions
/
{missionId}
Retrieves a mission
curl --request GET \
  --url https://api.inorbit.ai/missions/{missionId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "missionId": "<string>",
  "robotId": "<string>",
  "status": "<string>",
  "inProgress": true,
  "createdTs": 123,
  "tasks": [
    {
      "taskId": "<string>",
      "status": "<string>",
      "inProgress": true,
      "completed": true,
      "label": "<string>",
      "updatedTs": 123,
      "startTs": 123,
      "endTs": 123,
      "completedPercent": 123,
      "estimatedDurationSecs": 123,
      "arguments": {}
    }
  ],
  "state": "<string>",
  "label": "<string>",
  "startTs": 123,
  "endTs": 123,
  "completedPercent": 123,
  "estimatedDurationSecs": 123,
  "arguments": {},
  "data": {},
  "updatedTs": 123,
  "currentTaskId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

missionId
string
required

The mission id

Response

A Mission object containing all mission's attributes

missionId
string
required

Unique mission id

robotId
string
required

Optional. The id of the robot associated to this mission. It can only be omitted for missions that have not yet been started.

status
string
required

Optional. Mission status (error, warning, ok). Most of the times this value is not needed; it will be derived from status and other fields.

inProgress
boolean
required

Is the robot currently executing the mission ?

createdTs
number
required

Mission creation timestamp

tasks
object[]
required

List of mission tasks

state
string

Optional. Mission state. For example "running", "stuck", "late". Mostly customer-dependent; although some states will have their own semantics (configurable).

label
string

Optional. Mission description (in the PUT call, mission can be renamed).

startTs
number

Mission last update timestamp

endTs
number

Mission last update timestamp

completedPercent
number

Progress of the mission

estimatedDurationSecs
number

Optional. Updates the mission estimated duration (in seconds).

arguments
object

Arguments passed to this mission. Free-form, key-value dictionary.

data
object

Metadata associated to this mission; including telemetry or results collected while running the mission. Free-form, key-value dictionary.

updatedTs
number

Mission last update timestamp

currentTaskId
string

Id of the task currently being executed by the robot